package yb_suncode_pars

import (
	"time"
)

// YbSuncodePars 小程序太阳码scene参数
type YbSuncodePars struct {
	ID         uint32    `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	Scene      string    `gorm:"column:scene;type:varchar(255);not null;default:''" json:"scene"`        // scene参数
	SceneKey   string    `gorm:"column:scene_key;type:varchar(32);not null;default:''" json:"scene_key"` // MD5值
	CreateTime time.Time `gorm:"column:create_time;type:datetime;default:CURRENT_TIMESTAMP" json:"createTime"`
}

// TableName get sql table name.获取数据库表名
func (m *YbSuncodePars) TableName() string {
	return "yb_suncode_pars"
}

// YbSuncodeParsColumns get sql column name.获取数据库列名
var YbSuncodeParsColumns = struct {
	ID         string
	SceneKey   string
	Key        string
	CreateTime string
}{
	ID:         "id",
	SceneKey:   "scene_key",
	Key:        "key",
	CreateTime: "create_time",
}
